Subject: bug#23446: 25.0.93; cursor-sensor-inhibit

From: Phillip Lord <[email-masked]>
Date: Wed, 04 May 2016 23:50:22 +0100

Ken Brown <[email-masked]> writes:

> On 5/4/2016 5:21 PM, Phillip Lord wrote:
>> Ken Brown <[email-masked]> writes:
>>>>> On 5/4/2016 8:58 AM, Phillip Lord wrote:
>> So, this looks like up a failure during updating rather than anything
>> else.
>
> No, what happened is that the autoloads files got out of date and needed to be
> regenerated by 'make -C lisp autoloads', as I said in my first reply.  This
> happens from time to time and is documented in INSTALL.REPO.  It works
> perfectly well in an out-of-source build.  If you delete your build directory,
> however, then you've thrown away your Makefile, and it's too late.
>
> The only reason you aren't bitten by this more often is that Glenn
> periodically updates the autoloads.  See, for example, his commit 3cade20.

Yes, I checked the autoload commits and cursor-sensor-inhibit has been
added to ldefs-boot.el in that commit. I couldn't work out why that
would cause this form of error though (it should prevent it).

The actual cause is b755d988b498b19bd which added the autoload cookie,
and 16e5e8e4ea4a which removed the a (setq cursor-sensor-inhibit nil)
form. So, yes, autoloads out of date, and me being confused about my
build state.

Will close.

Phil